Bug 408171 - Review Request: perl-QWizard - A portable graphical question and answer wizard API
Review Request: perl-QWizard - A portable graphical question and answer wizar...
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
low Severity low
: ---
: ---
Assigned To: Jason Tibbitts
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-12-02 20:19 EST by Wes Hardaker
Modified: 2015-04-20 11:47 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-12-31 21:53:58 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
tibbs: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Wes Hardaker 2007-12-02 20:19:02 EST
Spec URL: http://www.hardakers.net/FE/perl-QWizard.spec
SRPM URL: http://www.hardakers.net/FE/perl-QWizard-3.12-1.src.rpm

Description:  The QWizard module allows script authors to concentrate on the
content of the forms they want their users to fill in without worrying about the
display.  It allows "Question Wizard" like interfaces to be very easily created
and the results of the input easily acted upon.  Scripts written which are
entirely based on QWizard inputs are able to be run from the command line which
will show a Gtk2, Tk window or as a ReadLine interactive session or as a CGI
script without modification.  Script writers do not need to know which interface
is being used to display the resulting form(s) as it should be transparent to
the script itself.

Other wizard interfaces exist for perl, but this one strives very hard to be
both extensible and easy to code with requiring as little work by script authors
as possible.  It is also one of the only ones that supports both web
environments and windowing environments without code modification required by
the script author.
Comment 1 Parag AN(पराग) 2007-12-06 06:28:17 EST
why this patch perl-QWizard-copyright.patch is present in SRPM?
Comment 2 Wes Hardaker 2007-12-06 11:35:32 EST
Because the original source didn't have a copyright statement, so that patch
adds it.  The patch will be removed from the srpm when the next release of
QWizard happens which will contain the patch in the upstream.
Comment 3 Jason Tibbitts 2007-12-19 13:45:09 EST
This builds OK but doesn't seem to install due to a missing dependency on
perl(Chart).
Comment 4 Wes Hardaker 2007-12-19 14:08:54 EST
perl-Chart doesn't export perl(Chart) and really QWizard is only expecting
perl(Chart::Lines) so I changed the spec to point to that instead.

Spec URL: http://www.hardakers.net/FE/perl-QWizard.spec
SRPM URL: http://www.hardakers.net/FE/perl-QWizard-3.12-2.src.rpm
Comment 5 Jason Tibbitts 2007-12-20 00:17:46 EST
I found the SRPM at http://www.hardakers.net/FE/perl-QWizard-3.12-2.fc8.src.rpm

Everything looks good to me.

* source files match upstream:
   f85e3f41c7752d92097b96ac6c4c502ed4e721107d6f4f6906bdd87220c06d5e
   QWizard-3.12.tar.gz
* package meets naming and versioning guidelines.
* specfile is properly named, is cleanly written and uses macros consistently.
* summary is OK.
* description is OK.
* dist tag is present.
* build root is OK.
* license field matches the actual license.
* license is open source-compatible.
* license text not included upstream.
* latest version is being packaged.
* BuildRequires are proper.
* %clean is present.
* package builds in mock (rawhide, x86_64).
* package installs properly
* rpmlint is silent.
* final provides and requires are sane:
   perl(QWizard) = 3.12
   perl(QWizard::API) = 3.12
   perl(QWizard::Generator) = 3.12
   perl(QWizard::Generator::Best) = 3.12
   perl(QWizard::Generator::Gtk2)
   perl(QWizard::Generator::HTML) = 3.12
   perl(QWizard::Generator::HTML::Vertical) = 3.12
   perl(QWizard::Generator::ReadLine) = 3.12
   perl(QWizard::Generator::Tk)
   perl(QWizard::Plugins::Bookmarks) = 3.12
   perl(QWizard::Plugins::History) = 3.12
   perl(QWizard::Storage::Base) = 3.12
   perl(QWizard::Storage::CGICookie) = 3.12
   perl(QWizard::Storage::CGIParam) = 3.12
   perl(QWizard::Storage::File) = 3.12
   perl(QWizard::Storage::Memory) = 3.12
   perl(QWizard::Storage::SQL) = 3.12
   perl-QWizard = 3.12-2.fc9
  =
   perl(:MODULE_COMPAT_5.8.8)
   perl(AutoLoader)
   perl(CGI)
   perl(CGI::Cookie)
   perl(Chart::Lines)
   perl(Config)
   perl(Data::Dumper)
   perl(Exporter)
   perl(File::Temp)
   perl(Glib)
   perl(Gtk2)
   perl(IO::File)
   perl(POSIX)
   perl(QWizard)
   perl(QWizard::API)
   perl(QWizard::Generator)
   perl(QWizard::Generator::HTML)
   perl(QWizard::Storage::Base)
   perl(QWizard::Storage::CGICookie)
   perl(QWizard::Storage::CGIParam)
   perl(QWizard::Storage::File)
   perl(QWizard::Storage::Memory)
   perl(Term::ReadLine)
   perl(Tk)
   perl(Tk::FileSelect)
   perl(Tk::Pane)
   perl(Tk::Table)
   perl(strict)

* %check is present and all tests pass:
   All tests successful.
   Files=5, Tests=48,  0 wallclock secs ( 0.09 cusr +  0.03 csys =  0.12 CPU)
* owns the directories it creates.
* doesn't own any directories it shouldn't.
* no duplicates in %files.
* file permissions are appropriate.
* no scriptlets present.
* code, not content.
* documentation is small, so no -docs subpackage is necessary.
* %docs are not necessary for the proper functioning of the package.

APPROVED
Comment 6 Wes Hardaker 2007-12-21 10:23:09 EST
New Package CVS Request
=======================
Package Name: perl-QWizard
Short Description: A wrapper around Getopt::Long to provide a GUI to applications
Owners: hardaker
Branches: F-7 F-8 devel
InitialCC: 
Cvsextras Commits:
Comment 7 Jason Tibbitts 2007-12-21 10:28:17 EST
I don't think that's quite the description you want.
Comment 8 Wes Hardaker 2007-12-21 10:53:32 EST
doh!  Never work on two bugs at once.
Comment 9 Wes Hardaker 2007-12-21 10:54:25 EST
New Package CVS Request
=======================
Package Name: perl-QWizard
Short Description: A portable graphical question and answer wizard API
Owners: hardaker
Branches: F-7 F-8 devel
InitialCC: 
Cvsextras Commits:
Comment 10 Kevin Fenzi 2007-12-21 14:48:10 EST
cvs done.
Comment 11 Parag AN(पराग) 2007-12-31 21:53:58 EST
APPROVED package is already imported in CVS, therefore closing this review.
Comment 12 Wes Hardaker 2010-09-10 15:26:30 EDT
Package Change Request
======================
Package Name: dnssec-tools
New Branches: EL-5 EL-6
Owners: hardaker

just adding branches
Comment 13 Wes Hardaker 2010-09-10 15:31:22 EDT
(or should the modern git tag names now be el5 and el6?)
Comment 14 Kevin Fenzi 2010-09-11 15:42:14 EDT
Git done (by process-git-requests).
Comment 15 Wes Hardaker 2010-09-13 14:40:59 EDT
Package Change Request
======================
Package Name: dnssec-tools
New Branches: el5 el6
Owners: hardaker

My last request failed to create the branches in git.  So trying again...
Comment 16 Jason Tibbitts 2010-09-13 14:48:56 EDT
The original form you used for the branch names was fine; the tool will take either EL-N or elN.  The el5 and el6 branches already do exist as verified by git branch -lr, so I'm not sure what else we can do for you.
Comment 17 Jason Tibbitts 2010-09-13 14:50:32 EDT
Although I guess it might be slightly less confusing if you could refrain from requesting branches to dnssec-tools in a ticket for perl-QWizard.
Comment 18 Wes Hardaker 2010-09-13 15:03:58 EDT
Ah.  Whoops.  Cut-n-paste errors.
Comment 19 Wes Hardaker 2010-09-13 15:04:27 EDT
Package Change Request
======================
Package Name: perl-QWizard
New Branches: el5 el6
Owners: hardaker
Comment 20 Kevin Fenzi 2010-09-14 00:20:18 EDT
Git done (by process-git-requests).
Comment 21 Wes Hardaker 2015-04-20 10:18:51 EDT
Package Change Request
======================
Package Name: perl-QWizard
New Branches: el7
Owners: hardaker
Comment 22 Gwyn Ciesla 2015-04-20 11:47:17 EDT
Git done (by process-git-requests).

Note You need to log in before you can comment on or make changes to this bug.